Skip to main content
GET
/
agent-keys
List agent keys
curl --request GET \
  --url https://api.natural.co/agent-keys \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "type": "agentKey",
      "id": "agk_550e8400e29b41d4a716446655440000",
      "attributes": {
        "agentKeyPrefix": "ak_ntl_prod_sxHp_FRoRTnDEmEH",
        "status": "ACTIVE",
        "createdAt": "2026-01-04T15:30:00Z",
        "lastUsedAt": null,
        "revokedAt": null,
        "createdBy": "usr_550e8400e29b41d4a716446655440000",
        "revokedBy": null
      },
      "relationships": {
        "party": {
          "data": {
            "type": "party",
            "id": "pty_7c9e6679e29b41d4a716446655440001"
          }
        },
        "agent": {
          "data": {
            "type": "agent",
            "id": "agt_019cd1798d637a4da75dce386343931d"
          }
        }
      }
    },
    {
      "type": "agentKey",
      "id": "agk_7f8e4d0012a64ef3bca4d21e44a5c001",
      "attributes": {
        "agentKeyPrefix": "ak_ntl_prod_Ab12Cd34Ef56Gh78",
        "status": "ACTIVE",
        "createdAt": "2026-01-05T09:00:00Z",
        "lastUsedAt": null,
        "revokedAt": null,
        "createdBy": "usr_550e8400e29b41d4a716446655440000",
        "revokedBy": null
      },
      "relationships": {
        "party": {
          "data": {
            "type": "party",
            "id": "pty_7c9e6679e29b41d4a716446655440001"
          }
        },
        "agent": {
          "data": {
            "type": "agent",
            "id": "agt_019cd1798d637a4da75dce386343931d"
          }
        }
      }
    }
  ],
  "meta": {
    "pagination": {
      "hasMore": false,
      "nextCursor": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Agent-ID
string | null

Agent ID (agt_xxx) identifying which agent is making the request.

X-Instance-ID
string | null

Required when X-Agent-ID is present. Session or conversation ID for agent observability.

Maximum string length: 1024

Query Parameters

agentId
string

Filter to keys bound to this agent (agt_*)

Pattern: ^agt_[0-9a-f]{32}$
cursor
string

Cursor for pagination

limit
integer
default:50

Max items per page

Required range: 1 <= x <= 100

Response

Successful Response

data
AgentKeyResource · object[]
required
meta
object
required